{ config, pkgs, ... }:

{
  virtualisation.oci-containers.containers = {
    olin = {
      image = "xena/olin:latest";
      ports = [ "127.0.0.1:25723:5000" ];
      environment.PORT = "5000";
    };
  };

  services.nginx.virtualHosts."olin.within.website" = {
    locations."/".proxyPass = "http://127.0.0.1:25723";
    forceSSL = true;
    useACMEHost = "within.website";
    extraConfig = ''
      access_log /var/log/nginx/olin.access.log;
    '';
  };
}
